Subject: Re: bug#55833: cross-base error: wrong type argument in position 1

From: Ekaitz Zarraga <[email-masked]>
Date: Wed, 08 Jun 2022 16:29:36 +0000

Hi,

> * use "riscv64-linux-gnu" instead of "riscv64-unknown-linux-gnu"
> (as expected by (guix platforms riscv)).

There's an slight problem with that. I tried to do it and I can't
build my custom gcc without sending the full triplet (with -unknown)
and if I make the other parts of the system, like binutils without the
-unknown part, the gcc is unable to find `ld`.

I have to dig on this further but it looks like this has further
effects on the system.

Best,
Ekaitz